Skip to main content
GET
/
public
/
api-keys
List API keys
curl --request GET \
  --url https://prod-api.pcxpay.com/v1/public/api-keys \
  --header 'Authorization: <authorization>' \
  --header 'X-Api-Key: <x-api-key>'
{
  "status": "success",
  "message": "<string>",
  "data": [
    {
      "api_key_id": "<string>",
      "prefix": "pcx_abc123",
      "name": "<string>",
      "org_id": "<string>",
      "user_id": "<string>",
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "count": 123,
    "total_count": 123,
    "last_evaluated_key": "<string>",
    "has_more": true
  }
}

Headers

Authorization
string
default:NONE
required

Bearer JWT for user-facing flows (Bearer eyJraWQ...), or the literal string NONE when authenticating via API key.

Example:

"Bearer eyJraWQ..."

X-Api-Key
string
default:NONE
required

API key for server-to-server flows, or the literal string NONE when authenticating via JWT.

Example:

"pcx_abc123_xxxx"

Query Parameters

org_id
string
required

Organisation whose keys to list

limit
integer
default:20
Required range: 1 <= x <= 100
last_evaluated_key
string

Pagination cursor from the previous response's meta.last_evaluated_key.

Response

Paginated list of API keys

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
data
object[]
meta
object